<?xml version="1.0" encoding="utf-8"?>
<!--
1.xml 规范 
    datatype: 数据类型
            1.char, unsigned char(和int8_t区别，char主要表示字符，int8_t用来表示数字)
            2.int8_t, int16_t, int32_t, int64_t, float, 
              uint8_t, uint16_t, uint32_t, uint64_t, unsigned float

            3.struct name (eg:struct touch_Foucus_info)
    lenth: datatype的占用内存大小(注意字节对齐）
    count: 有多少个datatype，主要那个用在数组的描述上面
    description:实际这个字段的解释
    isbitmap:位域标识(可选）
            1.true
            2.false
    bitwidth：位域长度（可选）

    示例：
    1.基本数据结构
        int intExam；
       <intExam datatype = "int32_t" lenth = "4" count = "1"description = "int示例" ></intExam>
    2.struct
       struct structExam{
            float floatExam;
            char  charExam;
       }__attribute__((packed))

        <structExam datatype = "struct structExam" lenth = 5 count = "1"description = "int示例">
            <floatExam datatype = "float" lenth = "4" count = "1"description = "float示例" ></floatExam>
            <charExam datatype = "char" lenth = "1" count = "1"description = "char示例" ></charExam>
        </structExam>

    3.数组
      int intArray[30]
      <intArray datatype = "int32_t" lenth = "4" count = 30 description = "intArray示例" ></intArray>
    4.位域
    struct bitmap {
        int a:1;
        int b:1;
        int reserved:30;
    }
    <bitmap datatype = "struct bitmap", lenth = "4", count = 1, description = "">
        <a  datatype = "int" lenth = "4" isbitmap = "true" bitwidth = "1" description = ""></a>
        <b  datatype = "int" lenth = "4" isbitmap = "true" bitwidth = "1" description = ""></b>
        <reserved  datatype = "int" lenth = "4" isbitmap = "true" bitwidth = "30" description = ""></reserved>
    </bitmap>

2.extend exif 存储区域以及版本号
  存储位置：EXIF_TAG_MAKER_NOTE（已经ok）
  版本号：4k数据开始16字节，结构：#*#*+修改时间（eg:#*#*201509291530)，如果修改版本号后，对应camera3的jpeg模块版本号也要修改。
 
-->

<process_trace version = "#*#*20160919">
    <ALGO_ID_AIRAW  exif_mark = "AIRAW_EXIF_INFO" id="11000380" description = "AIRAW">
        <version             datatype = "char"       lenth = "1" count = "40"  description = "version" >           </version>
        <!-- basic status -->
        <bypassMfnr                       datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassMfnr" >        </bypassMfnr>
        <bypassHdr                        datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassHdr" >         </bypassHdr>
        <bypassNet                        datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassNet" >         </bypassNet>
        <bypassEis                        datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassEis" >         </bypassEis>
        <bypassSegMask                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassSegMask" >     </bypassSegMask>
        <bypassVividHdr                   datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassVividHdr" >    </bypassVividHdr>
        <bypassSlcc                       datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassSlcc" >        </bypassSlcc>
        <bypassCpipe                      datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassCpipe" >       </bypassCpipe>
        <bypassSoftColor                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassSoftColor" >       </bypassSoftColor>
        <bypassSoftLSC                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassSoftLSC" >       </bypassSoftLSC>
        <MoonSoftAwbBypass                datatype = "uint8_t"    lenth = "1" count = "1"   description = "MoonSoftAwbBypass" >       </MoonSoftAwbBypass>
        <bypassAIToneNewReAE              datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassAIToneNewReAE" >     </bypassAIToneNewReAE>
        <bypassAnimalEye                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassAnimalEye" >     </bypassAnimalEye>
        <bypassUserEvSoftRgb2yuv          datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassUserEvSoftRgb2yuv" > </bypassUserEvSoftRgb2yuv>
        <runSingleFrame                   datatype = "uint8_t"    lenth = "1" count = "1"   description = "runSingleFrame">     </runSingleFrame>
        <airaw_type                       datatype = "uint8_t"    lenth = "1" count = "1"   description = "airaw_type" >        </airaw_type>
        <captureMode                      datatype = "uint8_t"    lenth = "1" count = "1"   description = "captureMode" >       </captureMode>
        <bokehMode                        datatype = "uint8_t"    lenth = "1" count = "1"   description = "bokehMode" >         </bokehMode>
        <colorCardFlag                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "colorCardFlag" >     </colorCardFlag>
        <useSoftSharpen                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "useSoftSharpen" >     </useSoftSharpen>
        <flashTrigger                     datatype = "uint8_t"    lenth = "1" count = "1"   description = "flashTrigger" >      </flashTrigger>
        <isTripod                         datatype = "uint32_t"   lenth = "4" count = "1"   description = "isTripod" >          </isTripod>
        <motionState                      datatype = "int32_t"    lenth = "4" count = "1"   description = "motionState" >       </motionState>
        <heavyDutyStatus                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "heavyDutyStatus">    </heavyDutyStatus>
        <totalAlgoTime                    datatype = "uint16_t"   lenth = "2" count = "1"   description = "totalAlgoTime" >     </totalAlgoTime>
        <mfnrTime                         datatype = "uint16_t"   lenth = "2" count = "1"   description = "mfnrTime" >          </mfnrTime>
        <airawNetTime                     datatype = "uint16_t"   lenth = "2" count = "1"   description = "airawNetTime" >      </airawNetTime>
        <aiToneNet1Time                   datatype = "uint16_t"   lenth = "2" count = "1"   description = "aiToneNet1Time" >    </aiToneNet1Time>
        <rgb2yuvTime                      datatype = "uint16_t"   lenth = "2" count = "1"   description = "rgb2yuvTime" >       </rgb2yuvTime>
        <softColorTime                    datatype = "uint16_t"   lenth = "2" count = "1"   description = "softColorTime" >     </softColorTime>
        <debug_info                       datatype = "char"       lenth = "1" count = "256" description = "debug_info" >        </debug_info>
                                          
        <!-- raw info -->                 
        <frame_num                        datatype = "uint8_t"    lenth = "1" count = "1"   description = "frame_num" >         </frame_num>
        <rawWidth                         datatype = "uint16_t"   lenth = "2" count = "1"   description = "rawWidth" >          </rawWidth>
        <rawHeight                        datatype = "uint16_t"   lenth = "2" count = "1"   description = "rawHeight" >         </rawHeight>
        <rawStride                        datatype = "uint16_t"   lenth = "2" count = "1"   description = "rawStride" >         </rawStride>
        <yuvWidth                         datatype = "uint16_t"   lenth = "2" count = "1"   description = "yuvWidth" >          </yuvWidth>
        <yuvHeight                        datatype = "uint16_t"   lenth = "2" count = "1"   description = "yuvHeight" >         </yuvHeight>
        <yuvStride                        datatype = "uint16_t"   lenth = "2" count = "1"   description = "yuvStride" >         </yuvStride>
        <raw_bitwidth                     datatype = "int32_t"    lenth = "4" count = "1"    description = "raw_bitwidth" >       </raw_bitwidth>
        <bayerPattern                     datatype = "uint8_t"    lenth = "1" count = "10"   description = "bayerPattern" >       </bayerPattern>
        <zoom_ratio                       datatype = "float"      lenth = "4" count = "1"    description = "zoom_ratio">          </zoom_ratio>
        <zoom_ratio_sub                   datatype = "float"      lenth = "4" count = "1"    description = "zoom_ratio_sub">      </zoom_ratio_sub>
        <zoom_rect                        datatype = "int32_t"    lenth = "4" count = "4"    description = "zoom_rect">           </zoom_rect>
        <innerCropRegion                  datatype = "int32_t"    lenth = "4" count = "4"    description = "innerCropRegion">     </innerCropRegion>
        <res_rotation                     datatype = "uint16_t"   lenth = "2" count = "1"    description = "res_rotation">        </res_rotation>
        <apetureValue                     datatype = "float"      lenth = "4" count = "10"    description = "apetureValue">        </apetureValue>
        <objectDistance                   datatype = "float"      lenth = "4" count = "1"    description = "objectDistance">      </objectDistance>
                                          
        <!-- ae -->                       
        <iso_speed                        datatype = "uint16_t"   lenth = "2" count = "10"  description = "iso_speed" >         </iso_speed>
        <iso_speed_sub                    datatype = "uint16_t"   lenth = "2" count = "10"  description = "iso_speed_sub" >     </iso_speed_sub>
        <expo_time                        datatype = "float"      lenth = "4" count = "10"  description = "expo_time" >         </expo_time>
        <expo_time_sub                    datatype = "float"      lenth = "4" count = "10"  description = "expo_time_sub" >     </expo_time_sub>
        <evSmatAE                         datatype = "int32_t"    lenth = "4" count = "16"  description = "evSmatAE" >          </evSmatAE>
        <ev_array                         datatype = "int32_t"    lenth = "4" count = "16"  description = "ev_array" >          </ev_array>
        <ev_array_sub                     datatype = "int32_t"    lenth = "4" count = "16"  description = "ev_array_sub" >      </ev_array_sub>
        <contrast_value                   datatype = "uint64_t"   lenth = "8" count = "10"  description = "contrast_value" >    </contrast_value>
        <drlevel                          datatype = "uint32_t"   lenth = "4" count = "1"   description = "drlevel" >           </drlevel>
        <userEvValue                      datatype = "float"      lenth = "4" count = "1"   description = "userEvValue" >       </userEvValue>
        <blendWeight                      datatype = "int32_t"    lenth = "4" count = "1"   description = "blendWeight" >       </blendWeight>
        <sdType                           datatype = "int32_t"    lenth = "4" count = "1"   description = "sdType" >            </sdType>
        <bandingFlag                      datatype = "uint8_t"    lenth = "1" count = "1"   description = "bandingFlag" >       </bandingFlag>
        <motionReduceExpoFlag             datatype = "uint8_t"    lenth = "1" count = "1"   description = "motionReduceExpoFlag" >    </motionReduceExpoFlag>
        <motionReduceExpoRatio            datatype = "float"      lenth = "4" count = "1"   description = "motionReduceExpoRatio" >          </motionReduceExpoRatio>
        <motionReduceShortExpoRatio       datatype = "float"      lenth = "4" count = "1"   description = "motionReduceShortExpoRatio" >     </motionReduceShortExpoRatio>
                                          
        <!-- face -->                     
        <face_num                         datatype = "int32_t"    lenth = "4" count = "1"   description = "face_num" >          </face_num>
        <face_rect_0                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_0">        </face_rect_0>
        <face_rect_1                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_1">        </face_rect_1>
        <face_rect_2                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_2">        </face_rect_2>
        <face_rect_3                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_3">        </face_rect_3>
        <face_rect_4                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_4">        </face_rect_4>
        <face_rect_5                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_5">        </face_rect_5>
        <face_rect_6                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_6">        </face_rect_6>
        <face_rect_7                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_7">        </face_rect_7>
        <face_rect_8                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_8">        </face_rect_8>
        <face_rect_9                      datatype = "int32_t"    lenth = "4" count = "4"   description = "face_rect_9">        </face_rect_9>
        <maskValidFlag                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "maskValidFlag" >     </maskValidFlag>
        <face_skin_beauty_degree          datatype = "float"      lenth = "4" count = "10"   description = "face_skin_beauty_degree">  </face_skin_beauty_degree>
                                          
        <!-- airaw -->                    
        <useBlMap                         datatype = "uint8_t"    lenth = "1" count = "1"    description = "useBlMap" >           </useBlMap>
        <blcType                          datatype = "uint8_t"    lenth = "1" count = "1"    description = "blcType" >            </blcType>
        <blMap0                           datatype = "uint16_t"   lenth = "2" count = "36"   description = "blMap0" >             </blMap0>
        <blMap1                           datatype = "uint16_t"   lenth = "2" count = "36"   description = "blMap1" >             </blMap1>
        <blMap2                           datatype = "uint16_t"   lenth = "2" count = "36"   description = "blMap2" >             </blMap2>
        <blMap3                           datatype = "uint16_t"   lenth = "2" count = "36"   description = "blMap3" >             </blMap3>
        <black_level                      datatype = "float"      lenth = "4" count = "4"    description = "black_level" >        </black_level>
        <orderInfoFromIn                  datatype = "int32_t"    lenth = "4" count = "1"  description = "orderInfoFromIn">       </orderInfoFromIn>
        <indexOrder                       datatype = "int32_t"    lenth = "4" count = "10"  description = "indexOrder">          </indexOrder>
        <numNormalFrm                     datatype = "int32_t"    lenth = "4" count = "1"   description = "numNormalFrm">        </numNormalFrm>
        <numEShortFrm                     datatype = "int32_t"    lenth = "4" count = "1"   description = "numEShortFrm">         </numEShortFrm>
        <numShortFrm                      datatype = "int32_t"    lenth = "4" count = "1"   description = "numShortFrm">         </numShortFrm>
        <numLongFrm                       datatype = "int32_t"    lenth = "4" count = "1"   description = "numLongFrm">          </numLongFrm>
        <indexNormalFrm                   datatype = "int32_t"    lenth = "4" count = "9"   description = "indexNormalFrm">        </indexNormalFrm>
        <indexLongFrm                     datatype = "int32_t"    lenth = "4" count = "9"   description = "indexLongFrm">        </indexLongFrm>
        <indexShortFrm                    datatype = "int32_t"    lenth = "4" count = "9"   description = "indexShortFrm">       </indexShortFrm>
        <indexEShortFrm                   datatype = "int32_t"    lenth = "4" count = "9"   description = "indexEShortFrm">       </indexEShortFrm>
        <indexRefFrm                      datatype = "int32_t"    lenth = "4" count = "1"   description = "indexRefFrm">         </indexRefFrm>
        <refSHdrShortFrmIndex             datatype = "int32_t"    lenth = "4" count = "1"   description = "refSHdrShortFrmIndex">         </refSHdrShortFrmIndex>
        <arFeatureMode                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "arFeatureMode">           </arFeatureMode>
        <MFNR_num_short_use               datatype = "int32_t"    lenth = "4" count = "1"   description = "MFNR num_short_use">           </MFNR_num_short_use>
        <MFNR_num_run_mfnr                datatype = "int32_t"    lenth = "4" count = "1"   description = "MFNR num_run_mfnr">            </MFNR_num_run_mfnr>
        <MFNR_match_point_num_before      datatype = "int32_t"    lenth = "4" count = "10"  description = "MFNR match_point_num_before">  </MFNR_match_point_num_before>
        <MFNR_match_point_num_after       datatype = "int32_t"    lenth = "4" count = "10"  description = "MFNR match_point_num_after">   </MFNR_match_point_num_after>
        <MFNR_h_matrix_0_0                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_0>
        <MFNR_h_matrix_0_1                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_1>
        <MFNR_h_matrix_0_2                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_2>
        <MFNR_h_matrix_0_3                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_3>
        <MFNR_h_matrix_0_4                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_4>
        <MFNR_h_matrix_0_5                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_5>
        <MFNR_h_matrix_0_6                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_6>
        <MFNR_h_matrix_0_7                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_7>
        <MFNR_h_matrix_0_8                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_8>
        <MFNR_h_matrix_0_9                datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix">                </MFNR_h_matrix_0_9>
        <MFNR_h_matrix_EShort             datatype = "float"      lenth = "4" count = "9"   description = "MFNR h_matrix_EShort">         </MFNR_h_matrix_EShort>
        <MFNR_frame_skip_state            datatype = "uint8_t"    lenth = "1" count = "10"  description = "MFNR frame_skip_state ">       </MFNR_frame_skip_state> 
        <MFNR_frame_skip_state_normal     datatype = "uint8_t"    lenth = "1" count = "10"  description = "MFNR MFNR_frame_skip_state_normal ">       </MFNR_frame_skip_state_normal>
        <MFNR_ghost_percent               datatype = "float"      lenth = "4" count = "10"  description = "MFNR ghost_percent">           </MFNR_ghost_percent>
        <MFNR_frame_contrast              datatype = "uint32_t"   lenth = "4" count = "10"  description = "MFNR frame_contrast">          </MFNR_frame_contrast>
        <MFNR_ref_frame_index             datatype = "int32_t"    lenth = "4" count = "1"   description = "MFNR ref_frame_index">         </MFNR_ref_frame_index>
        <MFNR_pidIndex                    datatype = "int32_t"    lenth = "4" count = "1"   description = "MFNR MFNR_pidIndex">           </MFNR_pidIndex>
        <MFNR_sub_num_short_use           datatype = "int32_t"    lenth = "4" count = "1"   description = "MFNR sub_num_short_use">           </MFNR_sub_num_short_use>
        <MFNR_sub_match_point_num_before  datatype = "int32_t"    lenth = "4" count = "10"  description = "MFNR sub_match_point_num_before">  </MFNR_sub_match_point_num_before>
        <MFNR_sub_match_point_num_after   datatype = "int32_t"    lenth = "4" count = "10"  description = "MFNR sub_match_point_num_after">   </MFNR_sub_match_point_num_after>
        <MFNR_sub_frame_skip_state        datatype = "uint8_t"    lenth = "1" count = "10"  description = "MFNR sub_frame_skip_state ">       </MFNR_sub_frame_skip_state> 
        <NET_bypassLfnet                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "bypassLfnet">               </NET_bypassLfnet>
        <NET_lv                           datatype = "int32_t"    lenth = "4" count = "1"   description = "lv">                       </NET_lv>
        <NET_ScaleRatio                   datatype = "float"      lenth = "4" count = "1"   description = "netScaleRatio">            </NET_ScaleRatio>
        <NET_frameMatched                 datatype = "int32_t"    lenth = "4" count = "10"  description = "frameMatched">             </NET_frameMatched>
        <NET_faceMatched                  datatype = "int32_t"    lenth = "4" count = "10"  description = "faceMatched">              </NET_faceMatched>
        <NET_mef_skipEShort               datatype = "int32_t"    lenth = "4" count = "1"   description = "skipEShort">               </NET_mef_skipEShort>
        <NET_mef_gainEV                   datatype = "float"      lenth = "4" count = "9"   description = "gainEV">                   </NET_mef_gainEV>
        <NET_mef_gainCalc                 datatype = "float"      lenth = "4" count = "9"   description = "gainCalc">                 </NET_mef_gainCalc>
        <NET_mef_ratioEpxo                datatype = "float"      lenth = "4" count = "1"   description = "gainEV">                   </NET_mef_ratioEpxo>
        <NET_mef_ratioImg                 datatype = "float"      lenth = "4" count = "1"   description = "gainCalc">                 </NET_mef_ratioImg>
        <NET_mef_skipLongFrame            datatype = "int32_t"    lenth = "4" count = "1"   description = "skipLongFrame">            </NET_mef_skipLongFrame>
        <ModeInfo_Mode                    datatype = "int32_t"    lenth = "4" count = "1"   description = "ProcessMode">             </ModeInfo_Mode>
        <ModeInfo_isHDR                   datatype = "int32_t"    lenth = "4" count = "1"   description = "ModeInfo_isHDR">          </ModeInfo_isHDR>
        <ModeInfo_isEllip                 datatype = "int32_t"    lenth = "4" count = "1"   description = "ModeInfo_isEllip">        </ModeInfo_isEllip>
        <ModeInfo_isMini                  datatype = "int32_t"    lenth = "4" count = "1"   description = "ModeInfo_isMini">         </ModeInfo_isMini>
        <ModeInfo_isMoon                  datatype = "int32_t"    lenth = "4" count = "1"   description = "ModeInfo_isMoon">         </ModeInfo_isMoon>
        <modeName                         datatype = "char"       lenth = "1" count = "64"  description = "modeName">                </modeName>
        <modeVersion                      datatype = "char"       lenth = "1" count = "64"  description = "modeVersion">             </modeVersion>
        <isDarkErrorCase                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "isDarkErrorCase">         </isDarkErrorCase>
        <usePreviewYuvFlag                datatype = "uint8_t"    lenth = "1" count = "1"   description = "usePreviewYuvFlag">         </usePreviewYuvFlag>
        <longFrmDispFlag                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "longFrmDispFlag">         </longFrmDispFlag>
        <isSmallFace                      datatype = "uint8_t"    lenth = "1" count = "1"   description = "isSmallFace">             </isSmallFace>
        <previewDelayFlag                  datatype = "uint8_t"    lenth = "1" count = "1"   description = "previewDelayFlag">         </previewDelayFlag>
        <!-- de_glare -->
        <de_glare                         datatype = "int32_t"    lenth = "4" count = "4"   description = "de_glare">                 </de_glare>
        <!-- aidrc & aitone -->
        <DgainFuison_run                  datatype = "int32_t"    lenth = "4" count = "1"   description = "DgainFuison_run">          </DgainFuison_run>
        <DgainFuison_dgain                datatype = "int32_t"    lenth = "4" count = "1"   description = "DgainFuison_dgain">        </DgainFuison_dgain>
        <DgainFuison_weightRefine         datatype = "int32_t"    lenth = "4" count = "4"   description = "DgainFuison_weightRefine"> </DgainFuison_weightRefine>
        <DgainFuison_weightFusion         datatype = "int32_t"    lenth = "4" count = "4"   description = "DgainFuison_weightFusion"> </DgainFuison_weightFusion>
                                                                  
        <DRC_final_sd_result              datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC final_sd_result">         </DRC_final_sd_result>
        <DRC_useSoftCCM                   datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC useSoftCCM">               </DRC_useSoftCCM>
        <DRC_face_num                     datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC face_num">                </DRC_face_num>
        <DRC_gtm_black_cut                datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC gtm_black_cut">           </DRC_gtm_black_cut>
        <DRC_gtm_face_luma                datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC gtm_face_luma">           </DRC_gtm_face_luma>
        <DRC_gtm_gamma_div                datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC gtm_gamma_div">           </DRC_gtm_gamma_div>
        <DRC_gtm_gamma_low                datatype = "float"      lenth = "4" count = "1"   description = "DRC gtm_gamma_low">           </DRC_gtm_gamma_low>
        <DRC_gtm_gamma_high               datatype = "float"      lenth = "4" count = "1"   description = "DRC gtm_gamma_high">          </DRC_gtm_gamma_high>
        <DRC_saturation                   datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC saturation">          </DRC_saturation>
        <DRC_vWeight                      datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC vWeight">             </DRC_vWeight>
        <DRC_gtm1MinIndexRatio            datatype = "float"      lenth = "4" count = "1"   description = "DRC gtm1MinIndexRatio">   </DRC_gtm1MinIndexRatio>
        <DRC_gtm_min_scale                datatype = "int32_t"    lenth = "4" count = "1"   description = "DRC gtm_min_scale">       </DRC_gtm_min_scale>
                                                                  
        <AIDRC_runAidrcFlag               datatype = "uint8_t"    lenth = "1" count = "1"   description = "AIDRC runAidrcFlag">            </AIDRC_runAidrcFlag>
        <AIDRC_skinMaskValid              datatype = "uint8_t"    lenth = "1" count = "1"   description = "AIDRC skinMaskValid">           </AIDRC_skinMaskValid>
        <AIDRC_faceAvg                    datatype = "float"      lenth = "4" count = "4"   description = "AIDRC faceAvg">                 </AIDRC_faceAvg>
        <AIDRC_faceArea                   datatype = "float"      lenth = "4" count = "4"   description = "AIDRC faceArea">                </AIDRC_faceArea>
        <AIDRC_isInputGrayImgYVFusion     datatype = "uint8_t"    lenth = "1" count = "1"   description = "AIDRC isInputGrayImgYVFusion">  </AIDRC_isInputGrayImgYVFusion>
        <AIDRC_modelNameAndVersion        datatype = "char"       lenth = "1" count = "64"  description = "AIDRC modelNameAndVersion">     </AIDRC_modelNameAndVersion>
        <AIDRC_inputHighDgain             datatype = "float"      lenth = "4" count = "1"   description = "AIDRC inputHighDgain">          </AIDRC_inputHighDgain>
        <AIDRC_inputHighGamma             datatype = "float"      lenth = "4" count = "1"   description = "AIDRC inputHighGamma">          </AIDRC_inputHighGamma>
        <AIDRC_fillMouthLipMask           datatype = "uint8_t"    lenth = "1" count = "1"   description = "AIDRC fillMouthLipMask">        </AIDRC_fillMouthLipMask>
        <AIDRC_fillEyeMask                datatype = "uint8_t"    lenth = "1" count = "1"   description = "AIDRC fillEyeMask">             </AIDRC_fillEyeMask>
        <AIDRC_dialationParam             datatype = "uint32_t"   lenth = "4" count = "1"   description = "AIDRC dialationParam">          </AIDRC_dialationParam>
        <AIDRC_maxValueD                  datatype = "int32_t"    lenth = "4" count = "2"   description = "AIDRC maxValueD">          </AIDRC_maxValueD>
                                                                                            
        <SlightDRC_binX                   datatype = "int32_t"    lenth = "4" count = "1"   description = "SlightDRC binX">            </SlightDRC_binX>
        <SlightDRC_binY                   datatype = "int32_t"    lenth = "4" count = "1"   description = "SlightDRC binY">            </SlightDRC_binY>
        <SlightDRC_binZ                   datatype = "int32_t"    lenth = "4" count = "1"   description = "SlightDRC binZ">            </SlightDRC_binZ>
        <SlightDRC_s0                     datatype = "float"      lenth = "4" count = "1"   description = "lightDRC s0">               </SlightDRC_s0>
        <SlightDRC_s1                     datatype = "float"      lenth = "4" count = "1"   description = "lightDRC s1">               </SlightDRC_s1>
        <SlightDRC_csp                    datatype = "int32_t"    lenth = "4" count = "6"   description = "SlightDRC csp">             </SlightDRC_csp>
        <SlightDRC_csn                    datatype = "int32_t"    lenth = "4" count = "6"   description = "SlightDRC csn">             </SlightDRC_csn>
                                                                                            
        <isUseAEType                      datatype = "uint8_t"    lenth = "1" count = "1"   description = "isUseAEType">               </isUseAEType>
        <aeTargetType                     datatype = "int32_t"    lenth = "4" count = "1"   description = "aeTargetType">              </aeTargetType>
                                                                                            
        <ellipGain                        datatype = "float"      lenth = "4" count = "1"   description = "ellipGain">               </ellipGain>
        <targetLuma                       datatype = "int32_t"    lenth = "4" count = "1"   description = "targetLuma">              </targetLuma>
        <currentLuma                      datatype = "int32_t"    lenth = "4" count = "1"   description = "currentLuma">              </currentLuma>
        <AITONE2_ensureFace               datatype = "int32_t"    lenth = "4" count = "1"   description = "AITONE2 ensureFace">                </AITONE2_ensureFace>                                                                                 
        <AITONE2_masterAiEnable           datatype = "uint8_t"    lenth = "1" count = "1"   description = "AITONE2 masterAiEnable">                </AITONE2_masterAiEnable>
        <AITONE2_masterAiType             datatype = "uint8_t"    lenth = "1" count = "1"   description = "AITONE2 masterAiType">                  </AITONE2_masterAiType>
        <AITONE2_masterAioffType          datatype = "uint8_t"    lenth = "1" count = "1"   description = "AITONE2 masterAioffType">               </AITONE2_masterAioffType>
        <AITONE2_toneMode                 datatype = "uint8_t"    lenth = "1" count = "1"   description = "AITONE2 toneMode">                      </AITONE2_toneMode>
        <AITONE2_toneFlag                 datatype = "uint8_t"    lenth = "1" count = "1"   description = "AITONE2 toneFlag">                      </AITONE2_toneFlag>
        <AITONE2_aeLv                     datatype = "int32_t"    lenth = "4" count = "1"   description = "AITONE2 aeLv">                          </AITONE2_aeLv>
        <AITONE2_maxValueD                datatype = "float"     lenth = "4" count = "1"   description = "AITONE2 maxValueD">                          </AITONE2_maxValueD>
        <AITONE2_skinRatio                datatype = "float"      lenth = "4" count = "2"   description = "AITONE2 skinRatio">                     </AITONE2_skinRatio>
        <AITONE2_clipbyColor              datatype = "int32_t"    lenth = "4" count = "1"   description = "AITONE2 clipbyColor">                   </AITONE2_clipbyColor>
        <AITONE2_aeLock                   datatype = "int32_t"    lenth = "4" count = "1"   description = "AITONE2 aeLock">                        </AITONE2_aeLock>
        <AITONE2_diffTime                 datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 diffTime">                        </AITONE2_diffTime>
        <AITONE2_diffIso                  datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 diffIso">                          </AITONE2_diffIso>
        <AITONE2_diffExpo                 datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 diffExpo">                        </AITONE2_diffExpo>
        <AITONE2_diffLum                  datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 diffLum">                        </AITONE2_diffLum>
        <AITONE2_diffAeLv                 datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 diffAeLv">                        </AITONE2_diffAeLv>
        <AITONE2_diffApetureValue         datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 diffApetureValue">                </AITONE2_diffApetureValue>
        <AITONE2_AlignLumaRatioCalc       datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 AlignLumaRatioCalc">                </AITONE2_AlignLumaRatioCalc>
        <AITONE2_AlignLumaRatio           datatype = "float"      lenth = "4" count = "1"   description = "AITONE2 AlignLumaRatio">                </AITONE2_AlignLumaRatio>
        <AITONE2_toneModelVersion1        datatype = "char"       lenth = "1" count = "64"  description = "AITONE2 toneModelVersion1">             </AITONE2_toneModelVersion1>
        <AITONE2_toneModelVersion2        datatype = "char"       lenth = "1" count = "64"  description = "AITONE2 toneModelVersion2">             </AITONE2_toneModelVersion2>
        <AITONE2_cam2Std                  datatype = "float"      lenth = "4" count = "9"   description = "AITONE2 cam2Std">                       </AITONE2_cam2Std>
                                          
        <drcBlendBypass                   datatype = "int32_t"    lenth = "4" count = "1"   description = "drcBlendBypass">        </drcBlendBypass>
        <manualSet                        datatype = "int32_t"    lenth = "4" count = "1"   description = "manualSet">             </manualSet>
        <manualValue                      datatype = "int32_t"    lenth = "4" count = "1"   description = "manualValue">           </manualValue>
        <lowDrTh                          datatype = "int32_t"    lenth = "4" count = "1"   description = "lowDrTh">               </lowDrTh>
        <midLowDrTh                       datatype = "int32_t"    lenth = "4" count = "1"   description = "midLowDrTh">            </midLowDrTh>
        <midHighDrTh                      datatype = "int32_t"    lenth = "4" count = "1"   description = "midHighDrTh">           </midHighDrTh>
        <highDrTh                         datatype = "int32_t"    lenth = "4" count = "1"   description = "highDrTh">              </highDrTh>
        <weightLow                        datatype = "int32_t"    lenth = "4" count = "1"   description = "weightLow">             </weightLow>
        <weightMidLow                     datatype = "int32_t"    lenth = "4" count = "1"   description = "weightMidLow">          </weightMidLow>
        <weightMidHigh                    datatype = "int32_t"    lenth = "4" count = "1"   description = "weightMidHigh">         </weightMidHigh>
        <weightHigh                       datatype = "int32_t"    lenth = "4" count = "1"   description = "weightHigh">            </weightHigh>
        <overExpoThrd                     datatype = "int32_t"    lenth = "4" count = "1"   description = "overExpoThrd">          </overExpoThrd>
        <ratioLow                         datatype = "float"      lenth = "4" count = "1"   description = "drcBlendBypass">        </ratioLow>
        <ratioHigh                        datatype = "float"      lenth = "4" count = "1"   description = "drcBlendBypass">        </ratioHigh>
        <portraitDrcBlendBypass           datatype = "int32_t"    lenth = "4" count = "1"   description = "portraitDrcBlendBypass">        </portraitDrcBlendBypass>
                                          
        <!-- color -->                    
        <awb_gain                         datatype = "uint32_t"   lenth = "4" count = "3"   description = "awb_gain" >          </awb_gain>
        <ccm                              datatype = "int32_t"    lenth = "4" count = "9"   description = "ccm">                 </ccm>
        <cct                              datatype = "uint32_t"   lenth = "4" count = "1"   description = "cct">                 </cct>
        <gamma                            datatype = "uint16_t"   lenth = "2" count = "17"  description = "gamma">               </gamma>
        <lsc_r                            datatype = "uint16_t"   lenth = "2" count = "4"   description = "lsc_r">               </lsc_r>
        <lsc_g                            datatype = "uint16_t"   lenth = "2" count = "4"   description = "lsc_g">               </lsc_g>
        <lsc_b                            datatype = "uint16_t"   lenth = "2" count = "4"   description = "lsc_b">               </lsc_b>
        <ccmPoly                          datatype = "int32_t"    lenth = "4" count = "18"  description = "hd ccm">                 </ccmPoly>
        <hdccEnable                       datatype = "uint8_t"    lenth = "1" count = "1"   description = "hdccEnable">              </hdccEnable>
        <isSoftColorEnable                datatype = "uint8_t"    lenth = "1" count = "1"   description = "isSoftColorEnable">       </isSoftColorEnable>
        <scProcessMode                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "scProcessMode">           </scProcessMode>
        <feature2                         datatype = "int32_t"    lenth = "4" count = "1"   description = "feature2">                </feature2>
        <isVividColorEnable               datatype = "uint8_t"    lenth = "1" count = "1"   description = "isVividColorEnable">      </isVividColorEnable>
        <lut3DSelectedIdx                 datatype = "uint8_t"    lenth = "1" count = "2"   description = "lut3DSelectedIdx">        </lut3DSelectedIdx>
        <isHlrUfEnable                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "isHlrUfEnable">           </isHlrUfEnable>
        <isHlrOfEnable                    datatype = "uint8_t"    lenth = "1" count = "1"   description = "isHlrOfEnable">           </isHlrOfEnable>
        <hlrUfWeights                     datatype = "uint16_t"   lenth = "2" count = "2"   description = "hlrUfWeights">            </hlrUfWeights>
        <hlrOfWeights                     datatype = "uint16_t"   lenth = "2" count = "2"   description = "hlrOfWeights">            </hlrOfWeights>
        <slccStat                         datatype = "int32_t"    lenth = "4" count = "1"   description = "slccStat">                </slccStat>
        <modelNameVersion                 datatype = "char"       lenth = "1" count = "65"  description = "modelNameVersion" >       </modelNameVersion>
        <timestamp                        datatype = "char"       lenth = "1" count = "32"  description = "timestamp" >           </timestamp>
        <pqInfoPath                       datatype = "char"       lenth = "1" count = "256" description = "pqInfoPath" >           </pqInfoPath>
        <ret                              datatype = "int32_t"    lenth = "4" count = "1"   description = "ret">                     </ret>
    </ALGO_ID_AIRAW>
    <ALGO_ID_SMARTAE  exif_mark = "SMARTAE_EXIF_INFO" id="11000410" description = "SMARTAE">
        <version            datatype = "char"       lenth = "1" count = "40"    description = "version" >           </version>
        <productName        datatype = "int32_t"    lenth = "4" count = "1"     description = "productName" >       </productName>
        <isoMain            datatype = "int32_t"    lenth = "4" count = "1"     description = "isoMain" >           </isoMain>
        <expoMain           datatype = "int32_t"    lenth = "4" count = "1"     description = "expoMain" >          </expoMain>
        <isoSub             datatype = "int32_t"    lenth = "4" count = "1"     description = "isoSub" >            </isoSub>
        <expoSub            datatype = "int32_t"    lenth = "4" count = "1"     description = "expoSub" >           </expoSub>
        <isoArrayMain       datatype = "int32_t"    lenth = "4" count = "6"     description = "isoArrayMain" >      </isoArrayMain>
        <expoArrayMain      datatype = "int32_t"    lenth = "4" count = "6"     description = "expoArrayMain" >     </expoArrayMain>
        <evArrayMain        datatype = "int32_t"    lenth = "4" count = "6"     description = "evArrayMain" >       </evArrayMain>
        <isoArraySub        datatype = "int32_t"    lenth = "4" count = "6"     description = "isoArraySub" >       </isoArraySub>
        <expoArraySub       datatype = "int32_t"    lenth = "4" count = "6"     description = "expoArraySub" >      </expoArraySub>
        <evArraySub         datatype = "int32_t"    lenth = "4" count = "6"     description = "evArraySub" >        </evArraySub>
        <debugInfo          datatype = "char"       lenth = "1" count = "256"   description = "debugInfo" >         </debugInfo>

        <tAeRect_left       datatype = "int32_t"    lenth = "4" count = "1"     description = "left">               </tAeRect_left>
        <tAeRect_top        datatype = "int32_t"    lenth = "4" count = "1"     description = "top">                </tAeRect_top>
        <tAeRect_right      datatype = "int32_t"    lenth = "4" count = "1"     description = "right">              </tAeRect_right>
        <tAeRect_bottom     datatype = "int32_t"    lenth = "4" count = "1"     description = "bottom">             </tAeRect_bottom>
        <faceTouchEVComp    datatype = "int32_t"    lenth = "4" count = "1"     description = "faceTouchEVComp" >   </faceTouchEVComp>
        <ispType            datatype = "int32_t"    lenth = "4" count = "1"     description = "ispType" >           </ispType>
        <aeTarget           datatype = "int32_t"    lenth = "4" count = "1"     description = "aeTarget" >          </aeTarget>
        <snapShotMode       datatype = "int32_t"    lenth = "4" count = "1"     description = "snapShotMode" >      </snapShotMode>
        <bandingStep        datatype = "int32_t"    lenth = "4" count = "1"     description = "bandingStep" >       </bandingStep>
        <aeLV               datatype = "int32_t"    lenth = "4" count = "1"     description = "aeLV" >              </aeLV>
        <maxISO             datatype = "uint32_t"   lenth = "4" count = "1"     description = "maxISO" >            </maxISO>
        <curLuma            datatype = "uint32_t"   lenth = "4" count = "1"     description = "curLuma" >           </curLuma>
        <frequency          datatype = "int32_t"    lenth = "4" count = "1"     description = "frequency" >         </frequency>
        <rowDepth           datatype = "int32_t"    lenth = "4" count = "1"     description = "rowDepth" >          </rowDepth>
        <expoMinMain        datatype = "int32_t"    lenth = "4" count = "1"     description = "expoMinMain" >       </expoMinMain>
        <dgain              datatype = "uint32_t"   lenth = "4" count = "1"     description = "dgain" >             </dgain>
        <dgainEnable        datatype = "int32_t"    lenth = "4" count = "1"     description = "dgainEnable" >       </dgainEnable>
        <dynamicRange       datatype = "uint32_t"   lenth = "4" count = "1"     description = "dynamicRange" >      </dynamicRange>
        <expoMinSub         datatype = "int32_t"    lenth = "4" count = "1"     description = "expoMinSub" >        </expoMinSub>

        <faceEvCmp          datatype = "int32_t"    lenth = "4" count = "1"     description = "faceEvCmp" >         </faceEvCmp>
        <fiMain             datatype = "int32_t"    lenth = "4" count = "1"     description = "fiMain" >            </fiMain>
        <vtsMain            datatype = "int32_t"    lenth = "4" count = "1"     description = "vtsMain" >           </vtsMain>
        <fiSub              datatype = "int32_t"    lenth = "4" count = "1"     description = "fiSub" >             </fiSub>
        <vtsSub             datatype = "int32_t"    lenth = "4" count = "1"     description = "vtsSub" >            </vtsSub>
        <expoRatioForSeamless datatype = "int32_t"  lenth = "4" count = "1"     description = "expoRatioForSeamless" > </expoRatioForSeamless>

        <faceNum            datatype = "int32_t"    lenth = "4" count = "1"     description = "faceNum" >           </faceNum>
        <isTouched          datatype = "int8_t"     lenth = "1" count = "1"     description = "isTouched" >         </isTouched>
        <hdrFrameNum        datatype = "int32_t"    lenth = "4" count = "1"     description = "hdrFrameNum" >       </hdrFrameNum>
        <isTripod           datatype = "int32_t"    lenth = "4" count = "1"     description = "isTripod" >          </isTripod>
        <shortEvComp        datatype = "int32_t"    lenth = "4" count = "1"     description = "shortEvComp" >       </shortEvComp>
        <algoType           datatype = "int32_t"    lenth = "4" count = "1"     description = "algoType" >          </algoType>
        <airawMode          datatype = "int32_t"    lenth = "4" count = "1"     description = "airawMode" >         </airawMode>
        <ellipMode          datatype = "int32_t"    lenth = "4" count = "1"     description = "ellipMode" >         </ellipMode>
        <selectFaceIndex    datatype = "int32_t"    lenth = "4" count = "1"     description = "selectFaceIndex" >   </selectFaceIndex>
        <faceID             datatype = "int32_t"    lenth = "4" count = "1"     description = "faceID" >            </faceID>
        <yTotalMean         datatype = "int32_t"    lenth = "4" count = "1"     description = "yTotalMean" >        </yTotalMean>
        <finalEVcomp        datatype = "int32_t"    lenth = "4" count = "1"     description = "finalEVcomp" >       </finalEVcomp>

        <ratio_overRatioRaw     datatype = "int32_t"    lenth = "4" count = "1"     description = "overRatioRaw" >      </ratio_overRatioRaw>
        <ratio_overRatioYuv     datatype = "int32_t"    lenth = "4" count = "1"     description = "overRatioYuv" >      </ratio_overRatioYuv>
        <ratio_overRatio        datatype = "int32_t"    lenth = "4" count = "1"     description = "overRatio" >         </ratio_overRatio>
        <ratio_underRatioYuv    datatype = "int32_t"    lenth = "4" count = "1"     description = "underRatioYuv" >     </ratio_underRatioYuv>
        <ratio_underRatioRaw    datatype = "int32_t"    lenth = "4" count = "1"     description = "underRatioRaw" >     </ratio_underRatioRaw>
        <ratio_totNumRaw        datatype = "int32_t"    lenth = "4" count = "1"     description = "totNumRaw" >         </ratio_totNumRaw>
        <ratio_overRatioEllip   datatype = "int32_t"    lenth = "4" count = "1"     description = "overRatioEllip" >    </ratio_overRatioEllip>

        <evThres_minEv      datatype = "int32_t"    lenth = "4" count = "1"     description = "minEv" >             </evThres_minEv>
        <evThres_maxEv      datatype = "int32_t"    lenth = "4" count = "1"     description = "maxEv" >             </evThres_maxEv>
        <evThres_newMinEv   datatype = "int32_t"    lenth = "4" count = "1"     description = "newMinEv" >          </evThres_newMinEv>
        <evThres_newMaxEv   datatype = "int32_t"    lenth = "4" count = "1"     description = "newMaxEv" >          </evThres_newMaxEv>
        <overExpoRed        datatype = "int32_t"    lenth = "4" count = "1"     description = "overExpoRed" >       </overExpoRed>

        <evLongTab          datatype = "int32_t"    lenth = "4" count = "1"     description = "evLongTab" >         </evLongTab>
        <evLongLv           datatype = "int32_t"    lenth = "4" count = "1"     description = "evLongLv" >          </evLongLv>
        <longExpoEV1        datatype = "int32_t"    lenth = "4" count = "1"     description = "longExpoEV1" >       </longExpoEV1>
        <evShortTab         datatype = "int32_t"    lenth = "4" count = "1"     description = "evShortTab" >        </evShortTab>
        <evShortLv          datatype = "int32_t"    lenth = "4" count = "1"     description = "evShortLv" >         </evShortLv>
        <shortExpoEV1       datatype = "int32_t"    lenth = "4" count = "1"     description = "shortExpoEV1" >      </shortExpoEV1>
        <bandingValue       datatype = "int32_t"    lenth = "4" count = "1"     description = "bandingValue" >      </bandingValue>

        <cameraID           datatype = "int32_t"    lenth = "4" count = "1"     description = "cameraID" >          </cameraID>
        <isOpenExtraLong    datatype = "int32_t"    lenth = "4" count = "1"     description = "isOpenExtraLong" >   </isOpenExtraLong>
        <isOpenMefFov       datatype = "int32_t"    lenth = "4" count = "1"     description = "isOpenMefFov" >      </isOpenMefFov>
        <isOpenAwb          datatype = "int32_t"    lenth = "4" count = "1"     description = "isOpenAwb" >         </isOpenAwb>
        <isOpenHdrFace      datatype = "int32_t"    lenth = "4" count = "1"     description = "isOpenHdrFace" >     </isOpenHdrFace>
        <isOpenHdrFaceNone  datatype = "int32_t"    lenth = "4" count = "1"     description = "isOpenHdrFaceNone">  </isOpenHdrFaceNone>
        <faceUseNewExpo     datatype = "int32_t"    lenth = "4" count = "1"     description = "faceUseNewExpo" >    </faceUseNewExpo>
        <faceNoneUseNewExpo datatype = "int32_t"    lenth = "4" count = "1"     description = "faceNoneUseNewExpo"> </faceNoneUseNewExpo>

        <checkCode          datatype = "int32_t"    lenth = "4" count = "1"     description = "checkCode" >         </checkCode>
    </ALGO_ID_SMARTAE>
</process_trace>